---
features:
  secondary:
  - name: "On-demand DAST API GraphQL scans"
    available_in: [ultimate]  # Include all supported tiers
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dast/proxy-based.html#site-profile'
    reporter: derekferguson
    stage: application_security_testing
    categories:
    - 'DAST'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/378692'
    description: |
      As of GitLab 15.7, on-demand DAST API site profiles support configuring GraphQL APIs as the scan target. After selecting API as the site type, you can now select the GraphQL scan method and specify a GraphQL endpoint path. This ability has been available to DAST API scans in a CI/CD pipeline since we introduced the `dast-api.gitlab-ci.yml` template. With the switch from our legacy DAST API analyzer to our new analyzer for on-demand scans, we were able to add this functionality to our on-demand DAST API profiles. 
